arrow-left

All pages
gitbookPowered by GitBook
1 of 8

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

OpenAPI definition

API V1

Fields

Notes can only have certain fields and have a specific format. Some of these fields are the same as other objects and some are specific to the Note object.

hashtag
id

This is a unique value that identifies the Edge. The id of an Edge is generated automatically. It is a random 7-14 character long string that can contain any of the following values:

hashtag
cdate

The Creation Date or cdate is a unix timestamp in milliseconds that can be set either in the past or in the future. It usually represents when the Edge was created.

hashtag
tcdate

The True Creation Date or tcdate indicates the date in unix timestamp in milliseconds when the Edge is created. Unlike the cdate, its value cannot be set or modified by the user and it is not displayed in the UI.

hashtag
mdate

The Modification Date or mdate shows when the Edge was last modified. The mdate value is a unix timestamp in milliseconds that can be set either in the past or in the future.

hashtag
tmdate

The True Modification Date or tmdate indicates the date in unix timestamp in milliseconds when the Edge is modified. Unlike the mdate, its value cannot be set or modified by the user and it is not displayed in the UI.

hashtag
ddate

The Deletion Date or ddate is used to soft delete an Edge. This means that Edges with a ddate value can be restored but will appear as deleted. The ddate value is a unix timestamp in milliseconds that can be set either in the past or in the future.

hashtag
signatures

The signatures field indicates who created the Edge. Even though the field is an array of strings, only one item can be present in the signatures field. Users can sign with different ids depending on their permissions.

hashtag
readers

The readers field is an array with Group ids that indicates who can retrieve the Edge or see the Edge in the UI.

hashtag
nonreaders

The nonreaders field is an array with Group ids that indicates who cannot retrieve the Edge or see the Edge in the UI. This field is useful in case we want to use a group id in the readers field that contains a member that we want to exclude from the readers. In this case, we can specify the Group id of that user in the nonreaders field.

hashtag
writers

The writers field is an array with Group ids that indicates who can modify the Edge.

hashtag
head

The head field can contain a Note id or a Group id and connects it to the Note id or Group id defined in the tail field. This field is always mandatory and cannot be empty.

hashtag
tail

The tail field can contain a Note id or a Group id and connects it to the Note id or Group id defined in the head field. This field is always mandatory and cannot be empty.

hashtag
tail

The tail field can contain a Note id or a Group id and connects it to the Note id or Group id defined in the head field. This field is always mandatory and cannot be empty.

hashtag
label

The label field contains a string that gives extra information to the Edge. This information can be used to classify Edges and differentiate them from other Edges that have the same Invitation, tail and head values.

hashtag
weight

The weight field contains a number that defines the weight between two entities defined in head and tail.

hashtag
invitation

The invitation field contains the Invitation id that was used as template to create the Edge.

hashtag
tauthor

The tauthor field contains the identity of the user that created the Edge. This property is only present when the user is writer of the Edge.

0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ-_

Note

Notes are the main containers of data in OpenReview. Notes are used for submissions and comments such as reviews, meta reviews, decisions and public comments. They require an Invitation to be created and modified.

Invitation

Users can enter data into the system using an invitation. An invitation is roughly a template that indicates required and valid values that will be saved to the database. The invitation contains a list of fields that need to be completed by the user.

When modifying an Invitation's reply field, each field must be a valid JSON with a title and the following optional properties (with the exception of field type, which is required):

  • field type: the type of the field, which includes value(s), value(s)-regex, value-radio, value(s)-checkbox, value(s)-dropdown, value-file

  • description: a string describing how users should fill this field

  • order: a number representing the position in which the field will appear on the form

  • required: a boolean representing whether the field is required (true) or optional (false)

  • default: the default value of the field

  • markdown: a boolean representing whether Markdown is enabled for the field (only valid for value-regex field type)

You can have different types of fields:

  • value, values: string or array of strings; the value(s) cannot be modified by the user.

  • value-regex, values-regex: string or array of strings; the value entered by the user should pass the regex validation.

  • value-radio: string or array of strings; the user can only choose one option.

value-checkbox, values-checkbox: string or array of strings; the user can select one or more options.

  • value-dropdown, values-dropdown: array of strings; the user can select one or more options from a dropdown.

  • value-file: a valid JSON specifying the expected upload file type and size in MB; the user can upload one file.

    The fileTypes field expects an array of strings specifying the permitted file types that the user can upload. Supported field types are pdf, csv, zip and mp4.

  • "profile_confirmed": {
      "description": "Please confirm that your OpenReview profile is up-to-date by selecting 'Yes'.",
      "value-checkbox": "Yes",
      "required": true,
      "order": 1
    },
    "keywords": {
      "description": "Please check all keywords that apply.",
        "values-checkbox": [
          "Deep Learning",
          "Machine Learning",
          "Computer Vision",
          "Database Design"
        ],
        "required": true,
        "order": 3
    }
    "novelty": {
      "order": 2,
      "value-dropdown": ["Very High", "High", "Neutral", "Low", "Very Low"],
      "description": "Indicate your agreement with the following: This paper is highly novel.",
      "required": true
    },
    "keywords": {
      "order" : 5,
      "description" : "Select or type subject area",
      "values-dropdown": [
        "Computer Vision Theory",
        "Dataset and Evaluation",
        "Human Computer Interaction",
        "Machine Learning",
        "Unsupervised Learning"
      ],
      "required": true
    }
    "pdf": {
      "description": "Upload a single PDF file or a single mp4 file.",
      "order": 6,
      "value-file": {
          "fileTypes": ["pdf", "mp4"],
          "size": 50
      },
      "required":true
    }
    "title": {
      "value": "this is a static value"
    },
    "keywords": {
      "values": ["Deep Learning", "Machine Learning"]
    }
    "title": {
      "order": 0,
      "value-regex": ".{1,500}",
      "description": "Brief summary of your comment.",
      "required": true,
      "markdown": true
    },
    "emails": {
      "description": "Comma separated list of author email addresses, lowercased, in the same order as above. For authors with existing OpenReview accounts, please make sure that the provided email address(es) match those listed in the author's profile.",
      "order": 3,
      "values-regex": "([a-z0-9_\\-\\.]{1,}@[a-z0-9_\\-\\.]{2,}\\.[a-z]{2,},){0,}([a-z0-9_\\-\\.]{1,}@[a-z0-9_\\-\\.]{2,}\\.[a-z]{2,})",
      "required": true
    }
    "confirmation": {
      "description": "Please confirm you have read the workshop's policies.",
      "value-radio": [
          "I have read and agree with the workshop's policy on behalf of myself and my co-authors."
      ],
      "order": 2,
      "required": true
    },
    "soundness": {
      "description": "Indicate your agreement with the following: This paper is technically sound.",
      "value-radio": [
          "Agree",
          "Neutral",
          "Disagree"
      ],
      "order": 3,
      "required": true
    }

    Fields

    Notes can only have certain fields and have a specific format. Some of these fields are the same as other objects and some are specific to the Note object.

    hashtag
    id

    This is a unique value that identifies the Note. The id of a Note is generated automatically. It is a random 7-14 character long string that can contain any of the following values:

    hashtag
    number

    Notes contain a number field that is associated to the first Invitation that is used to create the Note. The number value is added automatically and it is usually used to give a number id to submissions.

    hashtag
    cdate

    The Creation Date or cdate is a unix timestamp in milliseconds that can be set either in the past or in the future. It usually represents when the Note was created.

    hashtag
    tcdate

    The True Creation Date or tcdate indicates the date in unix timestamp in milliseconds when the Note is created. Unlike the cdate, its value cannot be set or modified by the user and it is not displayed in the UI.

    hashtag
    mdate

    The Modification Date or mdate shows when the Note was last modified. The mdate value is a unix timestamp in milliseconds that can be set either in the past or in the future.

    hashtag
    tmdate

    The True Modification Date or tmdate indicates the date in unix timestamp in milliseconds when the Note is modified. Unlike the mdate, its value cannot be set or modified by the user and it is not displayed in the UI.

    hashtag
    odate

    The Online Date or odate is used to show when the Note first becomes public. The odate value is a unix timestamp in milliseconds that can be set either in the past or in the future.

    hashtag
    pdate

    The Publication Date or pdate is used to show when the Note that represents a submission is marked as Accepted. The pdate value is a unix timestamp in milliseconds that can be set either in the past or in the future.

    hashtag
    ddate

    The Deletion Date or ddate is used to soft delete an Note. This means that Notes with a ddate value can be restored but will appear as deleted. The ddate value is a unix timestamp in milliseconds that can be set either in the past or in the future.

    hashtag
    invitation

    The invitation field contains the invitation id that was used to create the Note.

    hashtag
    signatures

    The signatures field indicates who created the Note. Even though the field is an array of strings, only one item can be present in the signatures field. Users can sign with different ids depending on their permissions.

    hashtag
    readers

    The readers field is an array with Group ids that indicates who can retrieve the Note or see the Note in the UI.

    hashtag
    nonreaders

    The nonreaders field is an array with Group ids that indicates who cannot retrieve the Note or see the Note in the UI. This field is useful in case we want to use a group id in the readers field that contains a member that we want to exclude from the readers. In this case, we can specify the Group id of that user in the nonreaders field.

    hashtag
    writers

    The writers field is an array with Group ids that indicates who can modify the Note.

    hashtag
    forum

    The forum field contains a Note id. When the Note id field is equal to the forum field, it indicates that the Note is a submission. Otherwise, it means that the Note is a comment to the submission. In other words, the forum value indicates the forum the Note belongs to.

    hashtag
    replyto

    The replyto contains a Note id. This field indicates what Note it is replying to. In other words, Notes that contain this field are comments in a forum.

    hashtag
    content

    The content field is a JSON that can contain any field that is specified in the Invitation. The fields in content should preferably only contain alphanumeric characters, underscores, and hyphens and have a max length of 80 characters.

    0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ-_
    {
        "id": "or2023",
        "invitations": [ "OpenReview.net/2023/Conference/-/Submission" ],
        "readers": [ "everyone" ],
        "writers": [ "~Some_Author1" ],
        "signatures": [ "~Some_Author1" ],
        "content": {
            "title": "Title",
            "venueid": "OpenReview.net/2023/Conference"
        }
    }
    post
    /register

    Register a new user

    Authorizations
    openreview.accessTokenstringRequired
    Body
    anyOptional
    or
    anyOptional
    Responses
    chevron-right
    200

    The Profile that is saved to the database.

    application/json
    idstringRequired
    activebooleanOptional
    passwordbooleanOptional
    invitationstringRequired
    metaContentobjectOptional
    tcdateintegerOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Required
    nonreadersstring[]Optional
    writersstring[]Required
    signaturesstring[]Required
    post
    /register
    put
    /reset/{token}

    Reset a user password

    Authorizations
    openreview.accessTokenstringRequired
    Path parameters
    tokenstringRequired

    reset token

    Body
    passwordstringRequired
    Responses
    chevron-right
    200

    User is logged in after the password is reset.

    application/json
    tokenstringOptional
    put
    /reset/{token}
    200

    User is logged in after the password is reset.

    post
    /impersonate

    Impersonate a user

    Authorizations
    openreview.accessTokenstringRequired
    Body
    groupIdstring · min: 1Required
    Responses
    chevron-right
    200

    User token of the impersonated user and details of the impersonation.

    application/json
    tokenstringOptional
    post
    /impersonate
    200

    User token of the impersonated user and details of the impersonation.

    get
    /tildeusername

    Gets the next available OpenReview username for the passed names.

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    firststringOptional

    first name

    middlestringOptional

    middle name

    laststringOptional

    last name

    Responses
    chevron-right
    200

    Next available tilde username

    application/json
    usernamestringOptional
    get
    /tildeusername
    200

    Next available tilde username

    get
    /attachment

    Download an attachment

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstringRequired

    Note id that contains the attachment.

    namestringRequired

    Attachment field name inside the content of the Note. This is usually pdf or supplementary_material.

    Responses
    chevron-right
    200

    Attachment

    No content

    get
    /attachment
    200

    Attachment

    No content

    put
    /attachment

    Upload an attachment

    Authorizations
    openreview.accessTokenstringRequired
    Body
    filestring · binaryRequired
    namestring · min: 1Required

    Attachment field name. This is usually pdf or supplementary_material.

    invitationIdstring · min: 1Required

    The id of the Invitation that allows to upload the attachment.

    Responses
    chevron-right
    200

    Path to the attachment.

    application/json
    urlstringOptional
    put
    /attachment
    200

    Path to the attachment.

    get
    /pdf

    Download a PDF

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Required

    Note id that contains the PDF.

    Responses
    chevron-right
    200

    PDF

    No content

    get
    /pdf
    200

    PDF

    No content

    get
    /edges

    Get edges

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Optional

    Edge id

    limitinteger · min: 1Optional

    Maximum number of results to return.

    offsetintegerOptional

    Offset of the result shown.

    sortstring · min: 1Optional

    Sort returned Edges by field.

    invitationstring · min: 1Optional

    Invitation id used to create the Edge(s).

    headstring · min: 1Optional

    head value of the Edge(s).

    tailstring · min: 1Optional

    tail value of the Edge(s).

    labelstring · nullableOptional

    label of the Edge(s).

    trashbooleanOptional

    Whether to return deleted Edges as well.

    groupBystring · min: 1Optional

    Group result by different Edge fields.

    selectany ofOptional

    Fields of the Edge to return in the result. Requires groupBy.

    string · min: 1OptionalPattern: [a-zA-Z0-9_]+
    or
    string[]Optional
    detailsstring · min: 1Optional

    Comma separated values of fields to add to details. Valid values are head, tail, writable and all.

    Example: head,tail
    cachebooleanOptional

    Get result from cache. Without the right privileges this parameter will be ignored.

    post
    /edges

    Create an edge

    Authorizations
    openreview.accessTokenstringRequired
    Body
    idstringOptional
    invitationstringRequired
    headstringRequired
    tailstringRequired
    labelstringOptional
    weightany ofOptional
    numberOptional
    or
    stringOptional
    tcdateintegerOptional
    tmdateintegerOptional
    ddateinteger · nullableOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[]Optional
    writersstring[]Optional
    signaturesstring[]Required
    Responses
    chevron-right
    200

    Edge

    application/json
    idstringOptional
    invitationstringRequired
    headstringRequired
    tailstringRequired
    labelstringOptional
    weightany ofOptional
    numberOptional
    or
    stringOptional
    tcdateintegerOptional
    tmdateintegerOptional
    ddateinteger · nullableOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[]Optional
    writersstring[]Optional
    signaturesstring[]Required
    post
    /edges
    200

    Edge

    delete
    /edges

    Delete an Edge

    Authorizations
    openreview.accessTokenstringRequired
    Body
    idstring · min: 1Optional

    Edge id of the Edge to delete.

    invitationstring · min: 1Required

    Invitation id used to create the Edge.

    labelstring · min: 1Optional

    Label of the Edge to delete.

    tailstring · min: 1Optional

    Tail value of the Edge to delete.

    headstring · min: 1Optional

    Head value of the Edge to delete.

    softDeletebooleanOptional

    Whether to soft delete the Edge. When the Edge is soft deleted, the action can be reversed.

    waitToFinishbooleanOptional

    Whether to wait for the Edge(s) to be deleted.

    Responses
    chevron-right
    200

    edge

    application/json
    statusstringOptional
    delete
    /edges
    200

    edge

    put
    /feedback

    Send feedback to the OpenReview team

    Authorizations
    openreview.accessTokenstringRequired
    Body
    fromstring · min: 1Required

    Email address of the user sending the feedback.

    subjectstring · nullableOptional

    Subject of the feedback.

    messagestring · min: 1Required

    The feedback.

    Responses
    chevron-right
    200

    feedback

    application/json
    statusstringOptional
    put
    /feedback
    200

    feedback

    get
    /profiles

    Get user profiles

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Optional

    Profile id

    idsstring[]Optional

    Profile ids

    emailstring · min: 1Optional

    Email associated with the Profile.

    emailsany ofOptional

    Email(s) associated with the Profile.

    string · min: 1Optional
    or
    string[]Optional
    confirmedEmailstring · min: 1Optional

    Confirmed email associated with the Profile.

    confirmedEmailsany ofOptional

    Confirmed email(s) associated with the Profile.

    string · min: 1Optional
    or
    string[]Optional
    firststring · min: 1Optional

    First name associated with the Profile.

    middlestring · nullableOptional

    Middle name associated with the Profile.

    laststring · min: 1Optional

    Last name associated with the Profile.

    termstring · min: 1Optional

    Email, Fullname or part of the fullname associated with the Profile.

    groupstring · min: 1Optional

    Group id where to get all the member profiles.

    trashbooleanOptional

    Whether to include deleted profiles.

    withBlockedbooleanOptional

    Whether to include blocked profiles.

    needsModerationbooleanOptional

    Whether to return Profiles that need moderation.

    selectstring · min: 1Optional

    Comma separated string with specific fields of the Profile object to return.

    Example: id,content.names,content.emails
    sortstring · min: 1Optional

    Sort returned Profiles by field.

    limitinteger · int32 · min: 1Optional

    Maximum number of results to return.

    offsetinteger · int32Optional

    Offset of the result shown.

    cachebooleanOptional

    Get result from cache. Without the right privileges this parameter will be ignored.

    post
    /profiles

    Save user Profile

    Authorizations
    openreview.accessTokenstringRequired
    Body
    idstring · min: 1Optional
    invitationstring · min: 1Optional
    referentstring · min: 1Optional
    tcdateintegerOptional
    tmdateintegerOptional
    ddateinteger · nullableOptional
    packagingobjectOptional
    activebooleanOptional
    passwordbooleanOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[] · nullableOptional
    writersstring[]Optional
    signaturesstring[] · min: 1Required
    get
    /profiles/search

    Get user profiles

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Optional

    Profile id.

    idsstring[]Optional

    Profile ids.

    emailstring · min: 1Optional

    Email associated with the Profile.

    emailsany ofOptional

    Email(s) associated with the Profile.

    string · min: 1Optional
    or
    string[]Optional
    confirmedEmailstring · min: 1Optional

    Confirmed email associated with the Profile.

    confirmedEmailsany ofOptional

    Confirmed email(s) associated with the Profile.

    string · min: 1Optional
    or
    string[]Optional
    firststring · min: 1Optional

    First name associated with the Profile.

    middlestring · nullableOptional

    Middle name associated with the Profile.

    laststring · min: 1Optional

    Last name associated with the Profile.

    termstring · min: 1Optional

    Email, Fullname or part of the fullname associated with the Profile.

    groupstring · min: 1Optional

    Group id where to get all the member profiles.

    trashbooleanOptional

    Whether to include deleted profiles.

    withBlockedbooleanOptional

    Whether to include blocked profiles.

    needsModerationbooleanOptional

    Whether to return Profiles that need moderation.

    selectstring · min: 1Optional

    Comma separated string with specific fields of the Profile object to return.

    Example: id,content.names,content.emails
    sortstring · min: 1Optional

    Sort returned Profiles by field.

    limitinteger · int32 · min: 1Optional

    Maximum number of results to return.

    offsetinteger · int32Optional

    Offset of the result shown.

    cachebooleanOptional

    Get result from cache. Without the right privileges this parameter will be ignored.

    get
    /groups

    Returns groups

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Optional

    Group id.

    idsstring[] · min: 1Optional

    Group ids.

    regexstring · min: 1Optional

    Group id regular expression.

    memberstring · min: 1Optional

    Group id to get its transitive members.

    signaturestring · min: 1Optional

    Group id used to sign the returned Groups.

    signatorystring · min: 1Optional

    Group id that can is allowed to sign with the returned Groups.

    writerstring · min: 1Optional

    Group id that is writer of the returned Groups.

    selectstring · min: 1Optional

    Comma separated string with specific fields of the Group object to return.

    Example: id,members
    detailsstring · min: 1Optional

    Comma separated values of fields to add to details. Valid value is writable.

    Example: writable
    limitinteger · int32 · min: 1Optional

    Maximum number of results to return.

    offsetinteger · int32Optional

    Offset of the result shown.

    webbooleanOptional

    Whether to return web ui code

    cachebooleanOptional

    Get result from cache. Without the right privileges this parameter will be ignored.

    post
    /groups

    Creates or edit a Group

    Authorizations
    openreview.accessTokenstringRequired
    Body
    idstringRequired
    tcdateintegerOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[]Optional
    writersstring[]Optional
    signatoriesstring[]Optional
    signaturesstring[]Required
    membersstring[]Optional
    webstring · nullableOptional
    Responses
    chevron-right
    200

    Group response

    application/json
    idstringRequired
    tcdateintegerOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[]Optional
    writersstring[]Optional
    signatoriesstring[]Optional
    signaturesstring[]Required
    membersstring[]Optional
    webstring · nullableOptional
    chevron-right
    default

    Error

    application/json
    post
    /groups
    put
    /groups/members

    Adds members to a Group

    Authorizations
    openreview.accessTokenstringRequired
    Body
    idstring · min: 1Required

    Group id to which memebers will be added.

    membersstring[] · min: 1Required

    Members to add to the Group.

    Responses
    chevron-right
    200

    Group response

    application/json
    idstringRequired
    tcdateintegerOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[]Optional
    writersstring[]Optional
    signatoriesstring[]Optional
    signaturesstring[]Required
    membersstring[]Optional
    webstring · nullableOptional
    chevron-right
    default

    Error

    application/json
    put
    /groups/members
    delete
    /groups/members

    Removes members from a Group

    Authorizations
    openreview.accessTokenstringRequired
    Body
    idstring · min: 1Required

    Group id from which memebers will be removed.

    membersstring[] · min: 1Required

    Members to remove from the Group.

    Responses
    chevron-right
    200

    Group response

    application/json
    idstringRequired
    tcdateintegerOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[]Optional
    writersstring[]Optional
    signatoriesstring[]Optional
    signaturesstring[]Required
    membersstring[]Optional
    webstring · nullableOptional
    chevron-right
    default

    Error

    application/json
    delete
    /groups/members
    post
    /notes

    Create a Note or reference, edit a Note or reference

    Authorizations
    openreview.accessTokenstringRequired
    Body
    idstring · min: 1 · nullableOptional
    invitationstring · min: 1Required
    numberinteger · min: 1 · nullableOptional
    forumstring · min: 1 · nullableOptional
    replytostring · min: 1 · nullableOptional
    referentstring · min: 1 · nullableOptional
    originalstring · min: 1 · nullableOptional
    contentobjectRequired
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    mdateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateinteger · nullableOptional
    tauthorstring · min: 1Optional
    readersstring[] · nullableOptional
    nonreadersstring[] · nullableOptional
    writersstring[] · nullableOptional
    signaturesstring[]Required
    get
    /notes/search

    Search Notes

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    querystring · min: 1Optional

    Search query that that looks inside some of the fields in the content of the Note.

    termstring · min: 1Optional

    Search term that that looks inside some of the fields in the content of the Note.

    typestring · enumOptional

    Search type

    Possible values:
    contentstring · min: 1Optional

    Fields inside content to look for the term.

    Default: all
    Groupstring · min: 1Optional

    Group that the Invitation belongs to

    sourcestring · enumOptional

    Source of the Note

    Default: allPossible values:
    invitationstring · min: 1Optional

    Invitation id used to create the Note(s).

    Example: ICLR.cc/2018/Conference/-/Submission
    venuestring · min: 1Optional

    venue of the Note

    venueidstring · min: 1Optional

    venue id of the Note

    sortstring · min: 1Optional

    Sort returned Notes by field.

    Example: tmdate:desc
    limitinteger · int32Optional

    Maximum number of results to return.

    offsetinteger · int32Optional

    Offset of the result shown.

    cachebooleanOptional

    Get result from cache. Without the right privileges this parameter will be ignored.

    get
    /notes/search
    get
    /references

    Returns all the references by filter

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Optional

    reference id

    idsany ofOptional

    reference ids

    string · min: 1Optional
    or
    string[]Optional
    invitationstring · min: 1Optional

    Invitation id used to create the Reference(s).

    invitationsany ofOptional

    Invitation ids

    string · min: 1Optional
    or
    string[]Optional
    referentstring · min: 1Optional

    Reference referent.

    forumany ofOptional

    Note id of the forum field.

    string · min: 1Optional
    or
    string[]Optional
    replytoany ofOptional

    Note id of the replyto field.

    string · min: 1Optional
    or
    string[]Optional
    numberstringOptional

    Note number.

    content.titlestring · min: 1Optional

    Note title.

    content.venuestring · min: 1Optional

    Note venue.

    content.venueidstring · min: 1Optional

    Note venueid.

    content.authoridsany ofOptional

    List of tilde ids of registered users or of emails either registered or not.

    string · min: 1Optional
    or
    string[]Optional
    trashboolean · nullableOptional

    Get Notes deleted too.

    paperhashstringOptionalDeprecated

    paperhash of the Note if exists.

    pdfstringOptionalDeprecated

    Get Note using pdf hash.

    tauthorbooleanOptional

    Get Notes authored by user.

    writerstring · min: 1Optional

    Get Notes written by user.

    signaturestring · min: 1Optional

    Get Notes signed by user.

    signaturesstring[]Optional

    Get Notes signed by users.

    originalany ofOptional

    Get Notes that are originals.

    booleanOptional
    or
    string · min: 1Optional
    selectstring · min: 1Optional

    Comma separated string with specific fields of the Reference object to return.

    detailsstring · min: 1Optional

    Comma separated values of fields to add to details. Valid values are replyCount, original, overwriting, revisions, writable, forumContent, tags, revisions, invitation, directReplyCount, directReplies, replies, and all

    inviteebooleanOptional

    Invitee

    mintcdateintegerOptional

    Minimum creation date

    duedatebooleanOptional

    Due date

    sortstring · min: 1Optional

    Sort returned Notes by field.

    limitinteger · int32Optional

    Maximum number of results to return.

    offsetinteger · int32Optional

    Offset of the result shown.

    cachebooleanOptional

    Get result from cache. Without the right privileges this parameter will be ignored.

    get
    /references/pdf

    Get a PDF

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Required

    reference id

    Responses
    chevron-right
    200

    pdf

    No content

    get
    /references/pdf
    200

    pdf

    No content

    get
    /references/attachment

    Get a reference attachment

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstringRequired

    Note id

    namestringRequired

    attachment field name

    Responses
    chevron-right
    200

    attachment

    No content

    get
    /references/attachment
    200

    attachment

    No content

    get
    /invitations

    Returns Invitations

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Optional

    Invitation id

    idsstring · min: 1Optional

    Comma separated Invitation ids

    superstring · min: 1Optional

    Super Invitation id

    regexstring · min: 1Optional

    Invitation id regular expression

    typestring · enumOptional

    Invitation type

    Possible values:
    replyForumstring · min: 1Optional

    Note id

    replyInvitationstring · min: 1Optional

    Invitation id

    minduedateintegerOptional

    minimum due date of the Invitation

    inviteeany ofOptional

    invitee id

    booleanOptional
    or
    string · min: 1Optional
    signaturestring · min: 1Optional

    Invitation signature

    replytobooleanOptional

    Invitations should have replyto field

    duedatebooleanOptional

    Invitations should have due date

    pastduebooleanOptional

    Invitations should be past due

    expiredbooleanOptional

    Invitations should be expired

    selectstring · min: 1Optional

    Comma separated string with specific fields of the Invitation object to return.

    Example: id,content,readers,invitees
    detailsstring · min: 1Optional

    Comma separated values of fields to add to details. Valid values are replytoNote, repliedNotes, repliedTags, repliedEdges, all.

    tagsbooleanOptionalDeprecated

    Get only Tag Invitations

    edgesbooleanOptionalDeprecated

    Get only edge Invitations

    notesbooleanOptionalDeprecated

    Get only Note Invitations

    limitinteger · int32 · min: 1Optional

    Maximum number of results to return.

    offsetinteger · int32Optional

    Offset of the result shown.

    cachebooleanOptional

    Get result from cache. Without the right privileges this parameter will be ignored.

    post
    /invitations

    Create or edit an Invitation

    Authorizations
    openreview.accessTokenstringRequired
    Body
    idstring · min: 1Required
    superstring · min: 1Optional
    finalarray · nullableOptional
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    duedateinteger · nullableOptional
    expdateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateinteger · nullableOptional
    tauthorstringOptional
    detailsobjectOptional
    hideOriginalRevisionsbooleanOptional
    multiReplyboolean · nullableOptional
    transformstring · min: 1 · nullableOptional
    taskCompletionCountinteger · nullableOptional
    preprocessstring · nullableOptional
    processany ofOptional
    string · nullableOptional
    or
    webstring · min: 1 · nullableOptional
    readersstring[] · nullableOptional
    nonreadersstring[] · nullableOptional
    writersstring[] · nullableOptional
    signaturesstring[]Required
    inviteesstring[] · nullableOptional
    noninviteesstring[] · nullableOptional
    Responses
    chevron-right
    200

    Invitation response

    application/json
    idstring · min: 1Required
    superstring · min: 1Optional
    finalarray · nullableOptional
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    duedateinteger · nullableOptional
    expdateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateinteger · nullableOptional
    tauthorstringOptional
    detailsobjectOptional
    hideOriginalRevisionsbooleanOptional
    multiReplyboolean · nullableOptional
    transformstring · min: 1 · nullableOptional
    taskCompletionCountinteger · nullableOptional
    preprocessstring · nullableOptional
    processany ofOptional
    string · nullableOptional
    or
    webstring · min: 1 · nullableOptional
    readersstring[] · nullableOptional
    nonreadersstring[] · nullableOptional
    writersstring[] · nullableOptional
    signaturesstring[]Required
    inviteesstring[] · nullableOptional
    noninviteesstring[] · nullableOptional
    chevron-right
    default

    Error

    application/json
    post
    /invitations
    get
    /tags

    Find tags by different filters

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstringOptional

    Tag id

    idsstring[]Optional

    comma separated Tag ids

    invitationstringOptional

    Invitation id used to create the Tag(s).

    Example: ICLR.cc/2018/Conference/-/Add_Bid
    tagstring · min: 1Optional

    Tag value

    signaturestring · min: 1Optional

    Tag signature

    forumstringOptional

    Note id of the forum field.

    replytostringOptional

    Invitations should have replyto field

    trashbooleanOptional

    Get tags deleted too.

    tauthorbooleanOptional

    Get tags authored by user.

    detailsstring · min: 1Optional

    Comma separated values of fields to add to details. Valid values are forumContent, all.

    limitinteger · int32Optional

    Maximum number of results to return.

    Default: 1000
    offsetinteger · int32Optional

    Offset of the result shown.

    Default: 0
    Responses
    chevron-right
    200

    Tag response

    application/json
    idstring · nullableOptional
    invitationstringRequired
    forumstringOptional
    replytostring · nullableOptional
    tagstringRequired
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[] · nullableOptional
    signaturesstring[] · min: 1Required
    chevron-right
    default

    Error

    application/json
    get
    /tags
    post
    /tags

    Create or edit a Tag

    Authorizations
    openreview.accessTokenstringRequired
    Body
    idstring · nullableOptional
    invitationstringRequired
    forumstringOptional
    replytostring · nullableOptional
    tagstringRequired
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[] · nullableOptional
    signaturesstring[] · min: 1Required
    Responses
    chevron-right
    200

    Tag response

    application/json
    idstring · nullableOptional
    invitationstringRequired
    forumstringOptional
    replytostring · nullableOptional
    tagstringRequired
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[] · nullableOptional
    signaturesstring[] · min: 1Required
    chevron-right
    default

    Error

    application/json
    post
    /tags
    get
    /messages

    Find messages by different filters

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Optional

    Message id.

    tostring · min: 1Optional

    Email address of the recipient.

    subjectstring · min: 1Optional

    Subject of the Message.

    parentGroupstring · min: 1Optional

    Parent Group the recipient belongs to.

    statusany ofOptional

    Status of the message.

    string · min: 1Optional
    or
    string[]Optional
    tauthorstring · min: 1Optional

    Email of the author of the message.

    limitinteger · int32Optional

    Maximum number of results to return.

    offsetinteger · int32Optional

    Offset of the result shown.

    cachebooleanOptional

    Get result from cache. Without the right privileges this parameter will be ignored.

    Responses
    chevron-right
    200

    message response

    application/json
    idstringOptional
    deliveredbooleanOptional
    cdateintegerOptional
    tauthorstringOptional
    referrerstring · nullableOptional
    statusstringOptional
    executedOnstringOptional
    timestampintegerOptional
    logsobject[]Optional
    chevron-right
    default

    Error

    application/json
    get
    /messages
    post
    /messages

    Create a direct message

    Authorizations
    openreview.accessTokenstringRequired
    Body
    subjectstringRequired

    Subject of the message.

    messagestringRequired

    Message body.

    groupsstring[] · min: 1Required

    Groups the message is sent to.

    ignoreGroupsstring[] · nullableOptional

    Groups the message should not be sent to.

    Default: []
    parentGroupstring · nullableOptional

    Parent group that the groups belong to.

    sendAtinteger · nullableOptional

    Send the message at a specific UTC time in milliseconds in the future. Maximum is 70 hours.

    replyTostring · nullableOptional

    Email address the recipient should replyto.

    useJobboolean · nullableOptional

    Whether to wait for messages to be sent.

    Responses
    chevron-right
    200

    message response

    application/json
    or
    or
    chevron-right
    default

    Error

    application/json
    post
    /messages
    get
    /logs/process

    Get logs by different filters

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Optional

    log id

    parentGroupstring · min: 1Optional

    Parent Group id

    invitationstring · min: 1Optional

    Invitation id that contains the process function.

    statusstring · min: 1Optional

    Status of the process. It can be ok or error.

    limitinteger · int32Optional

    Maximum number of results to return.

    Default: 1000
    offsetinteger · int32Optional

    Offset of the result shown.

    Default: 0
    Responses
    chevron-right
    200

    log response

    application/json
    idstringOptional
    jobIdstringOptional
    invitationstringOptional
    userstringOptional
    executedOnstringOptional
    sdateintegerOptional
    statusstringOptional
    logstring[] · nullableOptional
    edateintegerOptional
    expireAtstringOptional
    errorobjectOptional
    chevron-right
    default

    Error

    application/json
    get
    /logs/process
    get
    /notes
    GET /pdf?id=text HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    GET /references/pdf?id=text HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    GET /references/attachment?id=text&name=text HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    

    Entities

    Edge

    Edges are used to represent matching data, like affinity scores, conflicts, custom quotas, etc. The Edge entity contains two main properties: head and tail and optionally a label and weight. Head and tail properties point to other entities in the system like a note, a group or a profile.

    200

    The Profile that is saved to the database.

    Responses
    chevron-right
    200

    edges

    application/json
    idstringOptional
    invitationstringRequired
    headstringRequired
    tailstringRequired
    labelstringOptional
    weightany ofOptional
    numberOptional
    or
    stringOptional
    tcdateintegerOptional
    tmdateintegerOptional
    ddateinteger · nullableOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[]Optional
    writersstring[]Optional
    signaturesstring[]Required
    get
    /edges
    200

    edges

    Responses
    chevron-right
    200

    Profile response

    application/json
    idstringRequired
    activebooleanOptional
    passwordbooleanOptional
    invitationstringRequired
    metaContentobjectOptional
    tcdateintegerOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Required
    nonreadersstring[]Optional
    writersstring[]Required
    signaturesstring[]Required
    get
    /profiles
    200

    Profile response

    Responses
    chevron-right
    200

    Profile response

    application/json
    idstringRequired
    activebooleanOptional
    passwordbooleanOptional
    invitationstringRequired
    metaContentobjectOptional
    tcdateintegerOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Required
    nonreadersstring[]Optional
    writersstring[]Required
    signaturesstring[]Required
    post
    /profiles
    200

    Profile response

    Responses
    chevron-right
    200

    Profile response

    application/json
    idstringRequired
    activebooleanOptional
    passwordbooleanOptional
    invitationstringRequired
    metaContentobjectOptional
    tcdateintegerOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Required
    nonreadersstring[]Optional
    writersstring[]Required
    signaturesstring[]Required
    get
    /profiles/search
    200

    Profile response

    Responses
    chevron-right
    200

    Group response

    application/json
    idstringRequired
    tcdateintegerOptional
    tmdateintegerOptional
    tauthorstringOptional
    readersstring[]Optional
    nonreadersstring[]Optional
    writersstring[]Optional
    signatoriesstring[]Optional
    signaturesstring[]Required
    membersstring[]Optional
    webstring · nullableOptional
    chevron-right
    default

    Error

    application/json
    get
    /groups
    Responses
    chevron-right
    200

    Note response

    application/json
    idstring · min: 1 · nullableOptional
    invitationstring · min: 1Required
    numberinteger · min: 1 · nullableOptional
    forumstring · min: 1 · nullableOptional
    replytostring · min: 1 · nullableOptional
    referentstring · min: 1 · nullableOptional
    originalstring · min: 1 · nullableOptional
    contentobjectRequired
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    mdateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateinteger · nullableOptional
    tauthorstring · min: 1Optional
    readersstring[] · nullableOptional
    nonreadersstring[] · nullableOptional
    writersstring[] · nullableOptional
    signaturesstring[]Required
    chevron-right
    default

    Error

    application/json
    post
    /notes
    Responses
    chevron-right
    200

    Note response

    application/json
    idstring · min: 1 · nullableOptional
    invitationstring · min: 1Required
    numberinteger · min: 1 · nullableOptional
    forumstring · min: 1 · nullableOptional
    replytostring · min: 1 · nullableOptional
    referentstring · min: 1 · nullableOptional
    originalstring · min: 1 · nullableOptional
    contentobjectRequired
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    mdateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateinteger · nullableOptional
    tauthorstring · min: 1Optional
    readersstring[] · nullableOptional
    nonreadersstring[] · nullableOptional
    writersstring[] · nullableOptional
    signaturesstring[]Required
    chevron-right
    default

    Error

    application/json
    Responses
    chevron-right
    200

    Note response

    application/json
    idstring · min: 1 · nullableOptional
    invitationstring · min: 1Required
    numberinteger · min: 1 · nullableOptional
    forumstring · min: 1 · nullableOptional
    replytostring · min: 1 · nullableOptional
    referentstring · min: 1 · nullableOptional
    originalstring · min: 1 · nullableOptional
    contentobjectRequired
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    mdateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateinteger · nullableOptional
    tauthorstring · min: 1Optional
    readersstring[] · nullableOptional
    nonreadersstring[] · nullableOptional
    writersstring[] · nullableOptional
    signaturesstring[]Required
    chevron-right
    default

    Error

    application/json
    get
    /references
    Responses
    chevron-right
    200

    Invitation response

    application/json
    idstring · min: 1Required
    superstring · min: 1Optional
    finalarray · nullableOptional
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    duedateinteger · nullableOptional
    expdateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateinteger · nullableOptional
    tauthorstringOptional
    detailsobjectOptional
    hideOriginalRevisionsbooleanOptional
    multiReplyboolean · nullableOptional
    transformstring · min: 1 · nullableOptional
    taskCompletionCountinteger · nullableOptional
    preprocessstring · nullableOptional
    processany ofOptional
    string · nullableOptional
    or
    webstring · min: 1 · nullableOptional
    readersstring[] · nullableOptional
    nonreadersstring[] · nullableOptional
    writersstring[] · nullableOptional
    signaturesstring[]Required
    inviteesstring[] · nullableOptional
    noninviteesstring[] · nullableOptional
    chevron-right
    default

    Error

    application/json
    get
    /invitations
    chevron-down
    copy

    Returns all the Notes by filter.

    Authorizations
    openreview.accessTokenstringRequired
    Query parameters
    idstring · min: 1Optional

    Note id.

    idsany ofOptional

    Note ids.

    string · min: 1Optional
    or
    string[] · min: 1Optional
    invitationstring · min: 1Optional

    Invitation id used to create the Note(s).

    Example: ICLR.cc/2018/Conference/-/Blind_Submission
    invitationsany ofOptional

    Invitation ids.

    string · min: 1Optional
    or
    string[]Optional
    referentstring · min: 1Optional

    Reference referent.

    forumany ofOptional

    Note id of the forum field.

    string · min: 1Optional
    or
    string[]Optional
    replytoany ofOptional

    Note id of the replyto field.

    string · min: 1Optional
    or
    string[]Optional
    numberany ofOptional

    Note number.

    integer · min: 1Optional
    or
    string · min: 1OptionalPattern: ^([1-9][0-9]*,?)*[1-9][0-9]*$
    or
    integer[] · min: 1Optional
    content.titlestring · min: 1Optional

    Note title.

    content.confidencestring · min: 1Optional

    Note content confidence field value.

    content.strengthsstring · min: 1Optional

    Note content strengths field value.

    content.weaknessesstring · min: 1Optional

    Note content weaknesses field value.

    content.decisionstring · min: 1Optional

    Note content decision field value.

    content.certificationsstring · min: 1Optional

    Note content certification field values.

    content.previous_URLstring · min: 1Optional

    Note content previous_URL field value.

    content.userstring · min: 1Optional

    User email in recruitment.

    content.responsestring · min: 1Optional

    User response in recruitment.

    content.submission_idstring · min: 1Optional
    content.venuestring · min: 1Optional

    Note venue.

    content.venueidstring · min: 1Optional

    Note venueid.

    content.venue_idstring · min: 1Optional

    Note venue_id.

    content.presentation_typestring · min: 1Optional

    Presentation Type.

    content.sessionsstring · min: 1Optional

    Sessions.

    content.trackstring · min: 1Optional

    Track.

    content.authoridsany ofOptional

    List of tilde ids of registered users or of emails either registered or not.

    string · min: 1OptionalExample: ~Andrew_McCallum1
    or
    string[]Optional
    trashboolean · nullableOptional

    Whether to get deleted Notes.

    paperhashstringOptionalDeprecated

    paperhash of the Note if exists.

    Example: das|go_for_a_walk_and_arrive_at_the_answer_reasoning_over_paths_in_knowledge_bases_using_reinforcement_learning.
    tauthorbooleanOptional

    Get Notes authored by user.

    writerstring · min: 1Optional

    Get Notes written by user.

    signaturestring · min: 1Optional

    Get Notes signed by user.

    signaturesstring[]Optional

    Get Notes signed by users.

    originalany ofOptional

    get Notes that are originals

    booleanOptional
    or
    string · min: 1Optional
    selectstring · min: 1Optional

    Comma separated string with specific fields of the Note object to return.

    Example: id,content.title,content.abstract
    detailsstring · min: 1Optional

    Comma separated values of fields to add to details. Valid values are: replyCount: Number of replies in a forum. Only available if the Note is a forum. original: Include original Note if available. revisions: Boolean indicating whether the Note has revisions. writable: Boolean indicating whether the Note is writable by the user. originalWritable: Boolean indicating whether the original Note is writable by the user. tags: Tags of the Note. invitation: Invitation of the Note. originalInvitation: Invitation of the original Note. directReplyCount: Number of direct replies to the Note. directReplies: Direct replies to the Note. replies: Replies to the Note. Only available if the Note is a forum.

    Example: all
    inviteebooleanOptional

    invitee

    mintcdateintegerOptional

    minimum creation date

    duedatebooleanOptional

    due date

    sortstring · min: 1Optional

    Sort returned Notes by field.

    limitinteger · int32Optional

    Maximum number of results to return.

    offsetinteger · int32Optional

    Offset of the result shown.

    cachebooleanOptional

    Get result from cache. Without the right privileges this parameter will be ignored.

    Responses
    chevron-right
    200

    Note response

    application/json
    idstring · min: 1 · nullableOptional
    invitationstring · min: 1Required
    numberinteger · min: 1 · nullableOptional
    forumstring · min: 1 · nullableOptional
    replytostring · min: 1 · nullableOptional
    referentstring · min: 1 · nullableOptional
    originalstring · min: 1 · nullableOptional
    contentobjectRequired
    cdateinteger · nullableOptional
    ddateinteger · nullableOptional
    mdateinteger · nullableOptional
    tcdateinteger · nullableOptional
    tmdateinteger · nullableOptional
    tauthorstring · min: 1Optional
    readersstring[] · nullableOptional
    nonreadersstring[] · nullableOptional
    writersstring[] · nullableOptional
    signaturesstring[]Required
    chevron-right
    default

    Error

    application/json
    get
    /notes
    {
      "id": "text",
      "active": true,
      "password": true,
      "invitation": "text",
      "content": {
        "preferredEmail": "text",
        "gender": "text",
        "homepage": "text",
        "dblp": "text",
        "gscholar": "text",
        "wikipedia": "text",
        "linkedin": "text",
        "orcid": "text",
        "names": [
          {
            "preferred": true,
            "first": "text",
            "middle": "text",
            "last": "text",
            "username": "text"
          }
        ],
        "emails": [
          "text"
        ],
        "history": [
          {
            "position": "text",
            "institution": {
              "name": "text",
              "domain": "text"
            },
            "start": 1,
            "end": 1
          }
        ],
        "relations": [
          {
            "relation": "text",
            "name": "text",
            "email": "text",
            "start": 1,
            "end": 1
          }
        ],
        "expertise": [
          {
            "keywords": [
              "text"
            ],
            "start": 1,
            "end": 1
          }
        ]
      },
      "metaContent": {},
      "tcdate": 1,
      "tmdate": 1,
      "tauthor": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatures": [
        "text"
      ]
    }
    GET /edges HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    []
    {
      "status": "text"
    }
    GET /profiles HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    []
    POST /profiles HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 1788
    
    {
      "id": "text",
      "invitation": "text",
      "referent": "text",
      "tcdate": 1,
      "tmdate": 1,
      "ddate": 1,
      "packaging": {},
      "active": true,
      "password": true,
      "tauthor": "text",
      "content": {
        "preferredEmail": "text",
        "gender": "text",
        "homepage": "text",
        "dblp": "text",
        "gscholar": "text",
        "wikipedia": "text",
        "linkedin": "text",
        "orcid": "text",
        "semanticScholar": "text",
        "names": [
          {
            "preferred": true,
            "first": "text",
            "middle": "text",
            "last": "text",
            "username": "text"
          }
        ],
        "emails": [
          "text"
        ],
        "emailsConfirmed": [
          "text"
        ],
        "history": [
          {
            "position": "text",
            "institution": {
              "name": "text",
              "domain": "text"
            },
            "start": 1,
            "end": 1
          }
        ],
        "relations": [
          {
            "relation": "text",
            "name": "text",
            "email": "text",
            "start": 1,
            "end": 1,
            "readers": [
              "text"
            ]
          }
        ],
        "expertise": [
          {
            "keywords": [
              "text"
            ],
            "start": 1,
            "end": 1
          }
        ]
      },
      "metaContent": {
        "preferredEmail": {
          "values": [
            "text"
          ],
          "weights": [
            1
          ],
          "signatures": [
            "text"
          ]
        },
        "gender": {
          "values": [
            "text"
          ],
          "weights": [
            1
          ],
          "signatures": [
            "text"
          ]
        },
        "homepage": {
          "values": [
            "text"
          ],
          "weights": [
            1
          ],
          "signatures": [
            "text"
          ]
        },
        "dblp": {
          "values": [
            "text"
          ],
          "weights": [
            1
          ],
          "signatures": [
            "text"
          ]
        },
        "gscholar": {
          "values": [
            "text"
          ],
          "weights": [
            1
          ],
          "signatures": [
            "text"
          ]
        },
        "wikipedia": {
          "values": [
            "text"
          ],
          "weights": [
            1
          ],
          "signatures": [
            "text"
          ]
        },
        "linkedin": {
          "values": [
            "text"
          ],
          "weights": [
            1
          ],
          "signatures": [
            "text"
          ]
        },
        "orcid": {
          "values": [
            "text"
          ],
          "weights": [
            1
          ],
          "signatures": [
            "text"
          ]
        },
        "semanticScholar": {
          "values": [
            "text"
          ],
          "weights": [
            1
          ],
          "signatures": [
            "text"
          ]
        },
        "names": {
          "values": [
            {
              "first": "text",
              "middle": "text",
              "last": "text",
              "username": "text",
              "preferred": true
            }
          ],
          "weights": [
            1
          ]
        },
        "emails": {
          "values": [
            "text"
          ],
          "weights": [
            1
          ]
        },
        "history": [
          {
            "values": [
              {}
            ],
            "weights": [
              1
            ]
          }
        ],
        "relations": {
          "values": [
            {
              "name": "text",
              "email": "text",
              "relation": "text",
              "start": 1,
              "end": 1,
              "readers": [
                "text"
              ]
            }
          ],
          "weights": [
            1
          ]
        },
        "expertise": [
          {
            "values": [
              {}
            ],
            "weights": [
              1
            ]
          }
        ]
      },
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatures": [
        "text"
      ]
    }
    GET /profiles/search HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    []
    GET /groups HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    []
    POST /notes HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 325
    
    {
      "invitation": "ICLR.cc/2018/Conference/-/Submission",
      "content": {
        "title": "Paper title",
        "abstract": "Paper abstract",
        "authors": [
          "Author name 1",
          "Author name 2"
        ],
        "authorids": [
          "[email protected]",
          "[email protected]"
        ],
        "pdf": "/pdf/12345.pdf"
      },
      "readers": [
        "everyone"
      ],
      "writers": [
        "ICLR.cc/2018/Conference"
      ],
      "signatures": [
        "~Super_User1"
      ]
    }
    {
      "id": "text",
      "invitation": "text",
      "number": 1,
      "forum": "text",
      "replyto": "text",
      "referent": "text",
      "original": "text",
      "content": {},
      "cdate": 1,
      "ddate": 1,
      "mdate": 1,
      "tcdate": 1,
      "tmdate": 1,
      "tauthor": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatures": [
        "text"
      ],
      "details": {
        "replyCount": 1,
        "writable": true,
        "revisions": true,
        "original": {},
        "overwritting": [
          "text"
        ],
        "forumContent": {},
        "tags": [],
        "invitation": {
          "id": "text",
          "super": "text",
          "reply": {
            "referent": "text",
            "forum": "text",
            "replyto": "text",
            "readers": {},
            "writers": {},
            "signatures": {},
            "content": {}
          },
          "final": [],
          "cdate": 1,
          "ddate": 1,
          "duedate": 1,
          "expdate": 1,
          "tcdate": 1,
          "tmdate": 1,
          "tauthor": "text",
          "details": {},
          "hideOriginalRevisions": true,
          "multiReply": true,
          "transform": "text",
          "taskCompletionCount": 1,
          "replyForumViews": [
            {
              "id": "text",
              "label": "text",
              "filter": "text",
              "layout": 1,
              "sort": "text"
            }
          ],
          "preprocess": "text",
          "process": "text",
          "web": "text",
          "readers": [
            "text"
          ],
          "nonreaders": [
            "text"
          ],
          "writers": [
            "text"
          ],
          "signatures": [
            "text"
          ],
          "invitees": [
            "text"
          ],
          "noninvitees": [
            "text"
          ]
        },
        "directReplyCount": 1,
        "directReplies": [
          {}
        ],
        "replies": [
          {}
        ]
      }
    }
    GET /references HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    []
    GET /invitations HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    []
    {
      "groups": {
        "id": "text",
        "message": {
          "id": "text",
          "delivered": true,
          "cdate": 1,
          "tauthor": "text",
          "referrer": "text",
          "status": "text",
          "executedOn": "text",
          "timestamp": 1,
          "content": {
            "from": "text",
            "fromname": "text",
            "to": "text",
            "replyto": "text",
            "subject": "text",
            "text": "text",
            "sendAt": 1
          },
          "logs": [
            {}
          ]
        }
      }
    }
    POST /register HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 117
    
    {
      "email": "text",
      "password": "text",
      "name": {
        "first": "text",
        "middle": "text",
        "last": "text",
        "preferred": true
      },
      "id": "text"
    }
    PUT /reset/{token} HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 19
    
    {
      "password": "text"
    }
    POST /impersonate HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 18
    
    {
      "groupId": "text"
    }
    GET /tildeusername HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    {
      "username": "text"
    }
    GET /attachment?id=text&name=text HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    PUT /attachment HTTP/1.1
    Host: api.openreview.net
    Content-Type: multipart/form-data
    Accept: */*
    Content-Length: 53
    
    {
      "file": "binary",
      "name": "text",
      "invitationId": "text"
    }
    POST /edges HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 218
    
    {
      "id": "text",
      "invitation": "text",
      "head": "text",
      "tail": "text",
      "label": "text",
      "weight": 1,
      "tcdate": 1,
      "tmdate": 1,
      "ddate": 1,
      "tauthor": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatures": [
        "text"
      ]
    }
    {
      "id": "text",
      "invitation": "text",
      "head": "text",
      "tail": "text",
      "label": "text",
      "weight": 1,
      "tcdate": 1,
      "tmdate": 1,
      "ddate": 1,
      "tauthor": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatures": [
        "text"
      ]
    }
    DELETE /edges HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 114
    
    {
      "id": "text",
      "invitation": "text",
      "label": "text",
      "tail": "text",
      "head": "text",
      "softDelete": true,
      "waitToFinish": true
    }
    PUT /feedback HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 49
    
    {
      "from": "text",
      "subject": "text",
      "message": "text"
    }
    POST /groups HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 117
    
    {
      "id": "ICLR.cc",
      "readers": [
        "everyone"
      ],
      "writers": [
        "ICLR.cc"
      ],
      "signatories": [
        "ICLR.cc"
      ],
      "signatures": [
        "~Super_User1"
      ]
    }
    {
      "id": "text",
      "tcdate": 1,
      "tmdate": 1,
      "tauthor": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatories": [
        "text"
      ],
      "signatures": [
        "text"
      ],
      "members": [
        "text"
      ],
      "web": "text"
    }
    PUT /groups/members HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 32
    
    {
      "id": "text",
      "members": [
        "text"
      ]
    }
    DELETE /groups/members HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 32
    
    {
      "id": "text",
      "members": [
        "text"
      ]
    }
    GET /notes/search HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    {
      "id": "text",
      "invitation": "text",
      "number": 1,
      "forum": "text",
      "replyto": "text",
      "referent": "text",
      "original": "text",
      "content": {},
      "cdate": 1,
      "ddate": 1,
      "mdate": 1,
      "tcdate": 1,
      "tmdate": 1,
      "tauthor": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatures": [
        "text"
      ],
      "details": {
        "replyCount": 1,
        "writable": true,
        "revisions": true,
        "original": {},
        "overwritting": [
          "text"
        ],
        "forumContent": {},
        "tags": [],
        "invitation": {
          "id": "text",
          "super": "text",
          "reply": {
            "referent": "text",
            "forum": "text",
            "replyto": "text",
            "readers": {},
            "writers": {},
            "signatures": {},
            "content": {}
          },
          "final": [],
          "cdate": 1,
          "ddate": 1,
          "duedate": 1,
          "expdate": 1,
          "tcdate": 1,
          "tmdate": 1,
          "tauthor": "text",
          "details": {},
          "hideOriginalRevisions": true,
          "multiReply": true,
          "transform": "text",
          "taskCompletionCount": 1,
          "replyForumViews": [
            {
              "id": "text",
              "label": "text",
              "filter": "text",
              "layout": 1,
              "sort": "text"
            }
          ],
          "preprocess": "text",
          "process": "text",
          "web": "text",
          "readers": [
            "text"
          ],
          "nonreaders": [
            "text"
          ],
          "writers": [
            "text"
          ],
          "signatures": [
            "text"
          ],
          "invitees": [
            "text"
          ],
          "noninvitees": [
            "text"
          ]
        },
        "directReplyCount": 1,
        "directReplies": [
          {}
        ],
        "replies": [
          {}
        ]
      }
    }
    POST /invitations HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 952
    
    {
      "id": "ICLR.cc/2018/Conference/-/Submission",
      "reply": {
        "readers": {
          "description": "The users who will be allowed to read the above content.",
          "values": [
            "everyone"
          ]
        },
        "writers": {
          "values": [
            "ICLR.cc/2018/Conference"
          ]
        },
        "signatures": {
          "description": "Your authorized identity to be associated with the above content.",
          "values-regex": "~.*|ICLR.cc/2018/Conference"
        }
      },
      "content": {
        "title": {
          "required": true,
          "order": 1,
          "description": "Title of the paper",
          "value-regex": ".{1,250}"
        },
        "abstract": {
          "required": true,
          "order": 2,
          "description": "Abstract of the paper",
          "value-regex": ".{1,2500}"
        },
        "authors": {
          "required": true,
          "order": 3,
          "description": "Comma separated values of author names",
          "values-regex": "[^;,\\\\n]+(,[^,\\\\n]+)*"
        },
        "authorids": {
          "required": true,
          "order": 4,
          "description": "Comma separated values of author email addresses",
          "values-regex": "[^;,\\\\n]+(,[^,\\\\n]+)*"
        }
      },
      "invitees": [
        "everyone"
      ],
      "readers": [
        "everyone"
      ],
      "writers": [
        "~Super_User1"
      ],
      "signatures": [
        "~Super_User1"
      ]
    }
    GET /tags HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    []
    POST /tags HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 149
    
    {
      "invitation": "ICLR.cc/2018/Conference/-/Add_Bid",
      "forum": "SJeI6e62XQ",
      "tag": "I want to review",
      "readers": [
        "everyone"
      ],
      "signatures": [
        "~Super_User1"
      ]
    }
    {
      "id": "text",
      "invitation": "text",
      "forum": "text",
      "replyto": "text",
      "tag": "text",
      "cdate": 1,
      "ddate": 1,
      "tcdate": 1,
      "tmdate": 1,
      "tauthor": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "signatures": [
        "text"
      ]
    }
    GET /messages HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    []
    POST /messages HTTP/1.1
    Host: api.openreview.net
    Content-Type: application/json
    Accept: */*
    Content-Length: 178
    
    {
      "subject": "text",
      "message": "text",
      "groups": [
        "text"
      ],
      "ignoreGroups": [
        "text"
      ],
      "parentGroup": "text",
      "sendAt": 1,
      "replyTo": "text",
      "useJob": true,
      "from": {
        "name": "text",
        "email": "text"
      }
    }
    GET /logs/process HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    []
    {
      "token": "text",
      "user": {
        "id": "text",
        "profile": {
          "id": "text",
          "first": "text",
          "middle": "text",
          "last": "text",
          "emails": [
            "text"
          ],
          "preferredEmail": "text",
          "usernames": [
            "text"
          ],
          "preferredId": "text"
        }
      }
    }
    {
      "token": "text",
      "user": {
        "id": "text",
        "profile": {
          "id": "text",
          "first": "text",
          "middle": "text",
          "last": "text",
          "emails": [
            "text"
          ],
          "preferredEmail": "text",
          "usernames": [
            "text"
          ],
          "preferredId": "text"
        },
        "impersonator": {
          "id": "text",
          "first": "text",
          "middle": "text",
          "last": "text",
          "emails": [
            "text"
          ],
          "preferredEmail": "text",
          "usernames": [
            "text"
          ],
          "preferredId": "text"
        },
        "disallowDataModification": true,
        "impersonatables": [
          "text"
        ]
      }
    }
    {
      "url": "text"
    }
    {
      "status": "text"
    }
    {
      "id": "text",
      "tcdate": 1,
      "tmdate": 1,
      "tauthor": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatories": [
        "text"
      ],
      "signatures": [
        "text"
      ],
      "members": [
        "text"
      ],
      "web": "text"
    }
    {
      "id": "text",
      "tcdate": 1,
      "tmdate": 1,
      "tauthor": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatories": [
        "text"
      ],
      "signatures": [
        "text"
      ],
      "members": [
        "text"
      ],
      "web": "text"
    }
    {
      "id": "text",
      "super": "text",
      "reply": {
        "referent": "text",
        "forum": "text",
        "replyto": "text",
        "readers": {},
        "writers": {},
        "signatures": {},
        "content": {}
      },
      "final": [],
      "cdate": 1,
      "ddate": 1,
      "duedate": 1,
      "expdate": 1,
      "tcdate": 1,
      "tmdate": 1,
      "tauthor": "text",
      "details": {},
      "hideOriginalRevisions": true,
      "multiReply": true,
      "transform": "text",
      "taskCompletionCount": 1,
      "replyForumViews": [
        {
          "id": "text",
          "label": "text",
          "filter": "text",
          "layout": 1,
          "sort": "text"
        }
      ],
      "preprocess": "text",
      "process": "text",
      "web": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatures": [
        "text"
      ],
      "invitees": [
        "text"
      ],
      "noninvitees": [
        "text"
      ]
    }
    {
      "id": "text",
      "active": true,
      "password": true,
      "invitation": "text",
      "content": {
        "preferredEmail": "text",
        "gender": "text",
        "homepage": "text",
        "dblp": "text",
        "gscholar": "text",
        "wikipedia": "text",
        "linkedin": "text",
        "orcid": "text",
        "names": [
          {
            "preferred": true,
            "first": "text",
            "middle": "text",
            "last": "text",
            "username": "text"
          }
        ],
        "emails": [
          "text"
        ],
        "history": [
          {
            "position": "text",
            "institution": {
              "name": "text",
              "domain": "text"
            },
            "start": 1,
            "end": 1
          }
        ],
        "relations": [
          {
            "relation": "text",
            "name": "text",
            "email": "text",
            "start": 1,
            "end": 1
          }
        ],
        "expertise": [
          {
            "keywords": [
              "text"
            ],
            "start": 1,
            "end": 1
          }
        ]
      },
      "metaContent": {},
      "tcdate": 1,
      "tmdate": 1,
      "tauthor": "text",
      "readers": [
        "text"
      ],
      "nonreaders": [
        "text"
      ],
      "writers": [
        "text"
      ],
      "signatures": [
        "text"
      ]
    }
    GET /notes HTTP/1.1
    Host: api.openreview.net
    Accept: */*
    
    []